#
# spec file for package azure-cli-command-modules-nspkg
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           azure-cli-command-modules-nspkg
Version:        2.0.3
Release:        1.13
Summary:        Microsoft Azure CLI Command modules Namespace Package
License:        MIT
Group:          System/Management
Url:            https://github.com/Azure/azure-cli
Source:         https://files.pythonhosted.org/packages/source/a/azure-cli-command-modules-nspkg/azure-cli-command-modules-nspkg-%{version}.tar.gz
Source1:        LICENSE.txt
BuildRequires:  azure-cli-nspkg >= 3.0.0
BuildRequires:  fdupes
BuildRequires:  python3-azure-nspkg >= 3.0.0
BuildRequires:  python3-setuptools
Requires:       azure-cli-nspkg >= 3.0.0
Requires:       python3-azure-nspkg >= 3.0.0
Conflicts:      azure-cli < 2.0.0

BuildArch:      noarch

%description
Microsoft Azure CLI Command modules Namespace Package

This is the Microsoft Azure CLI command module namespace package.

This package is not intended to be installed directly by the end user.

It provides the necessary files for other packages to extend the azure cli command module namespaces.

%prep
%setup -q -n azure-cli-command-modules-nspkg-%{version}

%build
install -m 644 %{SOURCE1} %{_builddir}/azure-cli-command-modules-nspkg-%{version}
python3 setup.py build

%install
python3 setup.py install --root=%{buildroot} --prefix=%{_prefix} --install-lib=%{python3_sitelib}
%fdupes %{buildroot}%{python3_sitelib}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.rst
%{python3_sitelib}/azure/cli/command_modules
%{python3_sitelib}/azure_cli_command_modules_nspkg-*.egg-info

%changelog
* Thu Oct 24 2019 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.0.3
  + For detailed information about changes see the
    HISTORY.txt file provided with this package
* Tue Jun  4 2019 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Remove unneccesary %%python_expand prefix from %%fdupes call
* Tue Apr 16 2019 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.0.2
  + For detailed information about changes see the
    HISTORY.txt file provided with this package
- Bump minimum version for Python Azure SDK namespace
  packages to 3.0.0 in BuildRequires and Requires
- Remove python3-devel package from BuildRequires
- Remove unzip package from BuildRequires
- Run fdupes to hardlink duplicate files
  + Add fdupes to BuildRequires
  + Add %%fdupes invocation to %%install
- Update Requires from setup.py
* Wed Sep 27 2017 adrian.glaubitz@suse.com
- Initial build
  + Version 2.0.1
